For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tax registration

Get cart tax registrations

get

Gets all tax regitrations data to the customer's cart.

Notes: Below path has been deprecated.
GET /carts/{cartId}/tax-registrations

Query parameters
apiKeystringOptional

The client identifier used to authorize the request. You must specify either an apiKey or a token.

tokenstringOptional

Authorized or anonymous token for a customer. You must specify either an apiKey or a token.

Responses
200

Successful response.

application/json
keystringOptional

Tax Registration Key

Example: UK_VAT
valuestringOptional

Tax ID value

Example: GB698588737
get/v1/shoppers/me/carts/active/tax-registrations

Update tax registration on cart

post

Updates the tax regitrations data to the customer's cart.

Notes: Below path has been deprecated.
POST /carts/{cartId}/tax-registrations

Query parameters
tokenstringRequired

Authorized or anonymous token for a customer.

Bodyobject[]
keystringOptional

Tax Registration Key

Example: UK_VAT
valuestringOptional

Tax ID value

Example: GB698588737
Responses
200

Successful response.

application/json
keystringOptional

Tax Registration Key

Example: UK_VAT
valuestringOptional

Tax ID value

Example: GB698588737
post/v1/shoppers/me/carts/active/tax-registrations

Remove tax registration on cart

delete

Remove the tax regitrations data from customer's cart.

Query parameters
tokenstringRequired

Authorized or anonymous token for a customer.

Responses
204

Successful response.

No content

delete/v1/shoppers/me/carts/active/tax-registrations

No content

Last updated